WESNOTH(6)

NOM
wesnoth - La batalla per Wesnoth, un joc d'estrategia fantàstica per tandes

SINOPSIS
wesnoth [OPCIONS] [RUTA_ALS_DATOS]

DESCRIPCIÓ
La batalla per Wesnoth es un joc d'estrategia fantàstica per tandes. Derrote a tots els líders enemics usant un conjunt equilibrat de tropes, tenint cuitat d'administrar els seus recursos d'or i aldees. Cada unitat té els seus propis punts forts i débils; per a guanyar, desplegue les seues forces de la millor manera posible, mentres evita que el seu enemic faça lo mateix. Segon les unitats van guanyant experiencia, adquirixen noves habilitats i se tornen més poderoses. Jugue en la seua propia llengua i prove la seua habilitat contra un sabut adversari controlat pel ordinador, o úna's a la gran comunitat de jugadors en llínea de Wesnoth. Cree les seues propies unitats personalisades, escenaris o campanyas i compartix-les ab atres.

OPCIONS

--bpp número
    estableix el valor de BitsPerPixel. Per eixemple: --bpp 32

--compress archiu d'entrada archiu d'eixida
    comprimix un archiu de partida guardada (archiu d'entrada) que està en format WML de texto a un format WML binari (archiu d'eixida).

-d, --debug
    mostra informació extra de depuració i activa opcions adicionals en la llínea de órdens dins del joc (veja el wiki en http://www.wesnoth.org/wiki/CommandMode per a més informació sobre la llínea d'órdens).

--decompress archiu_d'entrada archiu_d'eixida
    descomprimix un archiu de partida guardada (archiu d'entrada) que està en format WML binari a un format WML de texto (archiu d'eixida).

-f, --fullscreen
    eixecuta el joc en modo de pantalla completa.

--fps
    mostra el número de quadres per segon als que s'està eixecutant el joc actualment, en un racó de la pantalla.

--gunzip archiu_d'entrada.gz
    Descomprimix un archiu que deuría estar en format gzip i ho almacena sense el sufix .gz. El infile.gz serà eliminat.

--gzip archiu_d'entrada
    comprimix un archiu en format gzip, ho guarda com archiu_d'entrada.gz i elimina archiu_d'entrada.

-h, --help
    mostra un resum de les opcions de llínea d'órdens en la eixida estándart, i finalisa.

--load partida_guardada
    carrega un archiu de partida guardada des del directori estàndart de jocs guardats.

--log-level=domain1,domain2,...
    estableix el nivell de gravetat dels dominis de depuració. all pot usar-se per a seleccionar tots els dominis. Nivells disponibles: error,warning, info, debug. Per defecte s'usarà el nivell error.

--logdomains
    Bolca una llista de tots els dominis de registre i finalisa.

--max-fps
    el número de quadres per segon que el joc pot mostrar, el valor deuría estar entre 1 i 1000, per defecte és 50.

--multiplayer
    eixecuta un joc multijugador. Existixen opcions adicionals que poden usar-se junt ab --multiplayer com s'explica més avall.

--nocache
    deshabilita el cache de datos de joc.

--nosound
    eixecuta el joc sense sons ni música.

--path
    mostra el nom del directori de datos de joc i finalisa.

-r XxY, --resolution XxY
    estableix la resolució de la pantalla. Per eixemple: -r 800x600

-t, --test
    eixecuta el joc en un escenari de prova chicotet.

-v, --version
    mostra el número de versió i finalisa.

-w, --windowed
    eixecuta el joc en una finestra.

--no-delay
    eixecuta el joc sense retarts per a fer una prova de rendiment gràfic. Açò s'activa automàticament ab --nogui.

--nogui
    eixecuta el joc sense l'interfaç gràfic. Ha d'aparèixer abans de --multiplayer per a que tinga l'efecte desijat.

--exit-at-end
    finalisa una volta que s'ha completat l'escenari, sense mostrar un diàlec de victoria o derrota que requerix que l'usuari pulse en Aceptar. Açò s'usa també per a proves de rendiment automatisades.

Opcions per a --multiplayer
Les opcions multijugador específiques de bando esten marcades ab number. number ha de reemplasar-se per un número de bando. Habitualment és 1 ó 2 pero depend del número de jugadors posibles en l'escenari triat.

--algorithmnúmero=valor
    selecciona un algoritme distint de l'habitual per a ser usat pel controlador d'IA d'este bando. Els valors disponibles son: idle_ai i sample_ai.

--controllernúmero=valor
    selecciona el controlador per a este bando. Els valors disponibles son: humà i ai.

--era=valor
    use esta opció per a jugar en la era seleccionada en conte de la era per defecte (denominada Per defecte). La era se selecciona usant un número de identificació (id). Les eres se describen en l'archiu data/multiplayer/eras.cfg.

--parmnúmero=nom:valor
    estableix parámetros adicionals per a este bando. Este parámetro depend de les opcions usades ab --controller i --algorithm. Només deuría ser útil a la gent que esta disenyant la seua propia IA. (no esta encara documentat completament)

--scenario=valor
    selecciona un escenari multijugador per id. El id d'escenari per defecte és multiplayer_Les_Terres_Lliures.

--sidenúmero=valor
    selecciona una facció de la era actual per a este bando. La facción se selecciona usant un identificador numéric (id). Les faccions se describixen en l'archiu data/multiplayer.cfg.

--turns=valor
    estableix el número de tandes per al escenari triat. Per defecte és 50.

Eixemple per a posar a prova la teua propia IA contra la IA per defecte sense iniciar l'Interfaç Gràfic d'Usuari:
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py

AUTOR
Escrit per David White <davidnwhite@verizon.net>.
Editat per Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> i Soliton <soliton.de@gmail.com>.
Esta pàgina de manual va ser escrita inicialment per Cyril Bouthors <cyril@bouthors.org>.
Visite la pàgina web oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Açò és Software Lliure; este software está llicenciat baix la GPL versió 2, segon ha segut publicada per la Free Software Foundation. No existix CAP garantía; ni inclús per al SEU ÚS COMERCIAL o ADECUACIÓ A UN PROPÓSIT PARTICULAR.

VEJA'S TAMBÉ
wesnoth_editor(6), wesnothd(6)